// SPDX-License-Identifier: Apache-2.0
import { HederaId } from "../shared/HederaId";
export default class Account {
    static NULL = new Account({ id: "0.0.0" });
    id;
    evmAddress;
    privateKey;
    publicKey;
    alias;
    constructor(props) {
        Object.assign(this, { ...props, id: HederaId.from(props.id) });
    }
}
